Release info

Created by: juampynr
Created on: November 26, 2012 - 01:10
Last updated: November 26, 2012 - 01:14
Core compatibility: 6.x
Release type: New features, Bug fixes

Release notes

This release uses the new Twitter REST API version 1.1. The main difference between 1.0 (used by Twitter 6.x-3.0) is that all requests must be authenticated with OAuth.

Since March 2013 Twitter API 1.0 will be turned off so sites using Twitter 6.x-3.0 or earlier must upgrade in order to keep on interacting with Twitter. More details can be found at

This release requires the external Twitter API library to be downloaded from Github into sites/all/libraries/twitter/twitter.lib.php, so it can loaded through the Libraries module.

There is no upgrade path yet for sites with previous versions installed, but theoretically it should be enough by simply installing the Libraries module and downloading the Twitter library. Remember though, that OAuth is a requirement for all requests, even for retrieving Tweets.

Rules integration works for new content and comments, but it raises a warning that needs to be fixed in order to be able to release a stable version.